## cl-alexandria 0.0.20100217

=== doc/Makefile ===
.PHONY: clean html pdf

clean:
	rm -rf include *.aux *.cp *.fn *.fns *.ky *.log *.pg *.toc *.tp *.tps *.vr *.pdf *.html

# Hook into the super sekrit texinfo generator in the SBCL tree -- this is just a quick way
# to bootrap documentation for now.
include:
	sbcl --eval '(progn (require :asdf) (require :alexandria) (rename-package :alexandria :alexandria))' \
	--eval '(load (merge-pathnames "doc/manual/docstrings" (posix-getenv "SBCL_SOURCE_ROOT")))' \
	--eval '(sb-texinfo:generate-includes "include/" :alexandria)' \
	--eval '(quit)'
	mv include/fun-alexandria-type=.texinfo include/fun-alexandria-type-equal.texinfo

pdf: include
	texi2pdf alexandria.texinfo

html: include
	texi2html alexandria.texinfo

## cl-alexandria 0.0.20130703

=== debian/changelog ===
cl-alexandria (0.0.20130703-1) unstable; urgency=low

  * New upstream 

 -- Christoph Egger <christoph@debian.org>  Wed, 03 Jul 2013 13:37:00 +0200

cl-alexandria (0.0.20121214-1) experimental; urgency=low

  [ Peter Van Eynde ]
  * open for changes

  [ Christoph Egger ]
  * New upstream
  * We're now using git
    * Couldn't both track upstream git and import debian history. The
      repository follows upstream, Debian changes lost in the transition
  * Add me to uploaders

 -- Christoph Egger <christoph@debian.org>  Fri, 14 Dec 2012 15:23:22 -0800

cl-alexandria (0.0.20100217-1) unstable; urgency=low

  * New upstream release. 
  * Fixed typo in description.  (Closes: #563767)

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 02 Mar 2010 08:19:13 +0100

cl-alexandria (0.0.20091125-1) unstable; urgency=low

  * New upstream with minor changes. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 31 Dec 2009 14:39:35 +0100

cl-alexandria (0.0.20091101-1) unstable; urgency=low

  * First packaged.
  * Added dummy watch file

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 07 Nov 2009 14:03:49 +0100

=== debian/control ===
Source: cl-alexandria
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
 Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: dh-lisp
Standards-Version: 3.8.3
Homepage: http://common-lisp.net/project/alexandria/
Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cl-alexandria.git
Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/cl-alexandria.git;a=summary

Package: cl-alexandria
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: A collection of portable Common Lisp utilities
 alexandria is a collection of utilities in the public domain for Common Lisp
 .
 It is a library but also a project that aims to reduce duplication of effort
 and improve portability of Common Lisp code according to its own idiosyncratic 
 and rather conservative aesthetic.
 .
 It is used by other projects as a base to build on.

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	# Add here commands to install the package into debian/xmls.
	dh_installdirs 
	dh_install 

# Build architecture-dependent files here.
binary-arch: 

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs 
	dh_installchangelogs
	dh_lisp
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cl-alexandria 20140826

=== debian/changelog ===
cl-alexandria (20140826-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 15 Sep 2014 01:01:34 +0400

cl-alexandria (20140713-2) unstable; urgency=medium

  * Fix package name in debian/rules, Closes: #758836

 -- Dimitri Fontaine <dim@tapoueh.org>  Fri, 22 Aug 2014 11:44:16 +0400

cl-alexandria (20140713-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 19 Aug 2014 16:20:57 +0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
- Christoph Egger <christoph@debian.org>
+ Christoph Egger <christoph@debian.org>,
+ Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.8.3
+Standards-Version: 3.9.5
 Homepage: http://common-lisp.net/project/alexandria/
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cl-alexandria.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/cl-alexandria.git;a=summary
@@ -14,7 +15,7 @@
 Package: cl-alexandria
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: A collection of portable Common Lisp utilities
+Description: Collection of portable Common Lisp utilities
  alexandria is a collection of utilities in the public domain for Common Lisp
  .
  It is a library but also a project that aims to reduce duplication of effort

## cl-alexandria 20150505

=== debian/changelog ===
cl-alexandria (20150505-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 06 May 2015 20:35:34 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://common-lisp.net/project/alexandria/
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cl-alexandria.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/cl-alexandria.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

pkg		:= alexandria
clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)

%:
	dh $@ --with lisp

override_dh_link:
	dh_link $(clc-files)/$(pkg).asd $(clc-systems)/$(pkg).asd

## cl-alexandria 20160825

=== debian/changelog ===
cl-alexandria (20160825-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 29 Aug 2016 21:55:04 +0300

## cl-alexandria 20161031

=== debian/changelog ===
cl-alexandria (20161031-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Sun, 20 Nov 2016 19:44:39 +0300

## cl-alexandria 20170630

=== debian/changelog ===
cl-alexandria (20170630-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 06 Jul 2017 16:27:04 +0300

=== debian/watch ===
# upstream in darcs

## cl-alexandria 20170814.gite5c54bc

=== debian/changelog ===
cl-alexandria (20170814.gite5c54bc-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove Dimitri Fontaine from Uploaders. Thanks Dimitri for your work
    on this package!
  * Remove useless ${shlibs:Depends}, since this is an arch:all package.
  * Add cl-rt to Recommends, for running the testsuite.
  * Remove obsolete README.Debian.
  * Bump to debhelper compat level 11.
  * Rewrite d/rules using dh.
  * Bump S-V to 4.1.4.
  * Mark the package as M-A foreign.
  * Ship README.
  * Ship HTML, PDF and Info manual.
    + also register them into doc-base.
    + doc-asdf-cache.patch, doc-lambda-list-keywords.patch: new patches.
    + add texinfo, sbcl and texlive-latex-base to Build-Depends.
  * Rewrite d/copyright in machine-readable format 1.0.
  * Add myself to Uploaders.
  * license-static-file.patch: new patch, removes LICENSE from the .asd.
    (Closes: #787420)
  * Add an autopkgtest that runs the testsuite on sbcl, ecl and clisp.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 22 Apr 2018 16:01:20 +0200

cl-alexandria (20170630-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields for move to salsa.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Remove Build-Depends on dh-lisp.
  * Use secure URL in Homepage field.
  * Create d/watch, using uscan git mode.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 04 Apr 2018 21:33:52 +0200

=== debian/control ===
Source: cl-alexandria
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
           Christoph Egger <christoph@debian.org>,
           Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 11~),
               texinfo,
               sbcl,
               texlive-latex-base
Standards-Version: 4.1.4
Homepage: https://common-lisp.net/project/alexandria/
Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-alexandria.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-alexandria

Package: cl-alexandria
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: cl-rt
Description: collection of portable Common Lisp utilities
 Alexandria is a collection of utilities in the public domain for Common Lisp.
 .
 It is a library but also a project that aims to reduce duplication of effort
 and improve portability of Common Lisp code according to its own idiosyncratic 
 and rather conservative aesthetic.
 .
 It is used by other projects as a base to build on.

## cl-alexandria 20181119.git50d6698

=== debian/changelog ===
cl-alexandria (20181119.git50d6698-1) unstable; urgency=medium

  * New upstream snapshot
  * Actually fail autopkgtest on test failure.
  * clisp-test-failure: new patch, disable a test on clisp
  * Migrate to new way of specifying debhelper compat level
  * Add Rules-Requires-Root: no
  * Bump to S-V 4.2.1

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 19 Nov 2018 17:32:10 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Christoph Egger <christoph@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 11),
                texinfo,
                sbcl,
                texlive-latex-base
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://common-lisp.net/project/alexandria/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-alexandria.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-alexandria
+Rules-Requires-Root: no
 
 Package: cl-alexandria
 Architecture: all

## cl-alexandria 20181203.gitd44f543

=== debian/changelog ===
cl-alexandria (20181203.gitd44f543-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump to S-V 4.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 23 Dec 2018 20:35:28 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                texinfo,
                sbcl,
                texlive-latex-base
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://common-lisp.net/project/alexandria/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-alexandria.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-alexandria

## cl-alexandria 20200110.gitfc2a2f5

=== debian/changelog ===
cl-alexandria (20200110.gitfc2a2f5-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump to debhelper compat level 12
  * Bump to S-V 4.5.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 21 Jan 2020 22:19:02 +0100

## cl-alexandria 20200125.gitfab0e59

=== debian/changelog ===
cl-alexandria (20200125.gitfab0e59-1) unstable; urgency=medium

  * New upstream snapshot

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 08 Feb 2020 14:11:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Christoph Egger <christoph@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                texinfo,
                sbcl,
                texlive-latex-base
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://common-lisp.net/project/alexandria/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-alexandria.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-alexandria

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	make -C doc

override_dh_auto_clean:
	make -C doc clean

## cl-alexandria 20200821.gitf35e232

=== debian/changelog ===
cl-alexandria (20200821.gitf35e232-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream release
  * doc-lambda-list-keywords.patch: drop patch, no longer needed
  * Bump to debhelper 13
  * Bump to S-V 4.5.1
  * d/upstream/metadata: add a few more fields
  
  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 24 Nov 2020 14:28:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Christoph Egger <christoph@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                texinfo,
                sbcl,
                texlive-latex-base
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://common-lisp.net/project/alexandria/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-alexandria.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-alexandria
@@ -24,7 +24,7 @@
  Alexandria is a collection of utilities in the public domain for Common Lisp.
  .
  It is a library but also a project that aims to reduce duplication of effort
- and improve portability of Common Lisp code according to its own idiosyncratic 
+ and improve portability of Common Lisp code according to its own idiosyncratic
  and rather conservative aesthetic.
  .
  It is used by other projects as a base to build on.

## cl-alexandria 20211025.gita67c3a6

=== debian/changelog ===
cl-alexandria (20211025.gita67c3a6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Submit.

  [ Sébastien Villemot ]
  * New upstream snapshot
  * Update standards version to 4.6.0, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 04 Nov 2021 20:58:20 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                texinfo,
                sbcl,
                texlive-latex-base
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://common-lisp.net/project/alexandria/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-alexandria.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-alexandria

=== debian/tests/control ===
Test-Command: sbcl --script debian/tests/runtests.lisp
Depends: @, sbcl
Restrictions: allow-stderr

Test-Command: ecl -norc -shell debian/tests/runtests.lisp
Depends: @, ecl, cl-rt
Restrictions: allow-stderr

Test-Command: clisp -norc debian/tests/runtests.lisp
Depends: @, clisp, cl-rt
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=%cd.git%h" \
https://gitlab.common-lisp.net/alexandria/alexandria \
HEAD debian uupdate

## cl-alexandria 20240125.git8514d8e

=== debian/changelog ===
cl-alexandria (20240125.git8514d8e-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Remove myself from Uploaders

  [ Sean Whitton ]
  * New upstream snapshot.
  * Add myself to Uploaders.
  * Drop obsolete clisp-test-failure.patch.
  * Update d/tests/runtests.lisp for rename alexandria-tests->alexandria/tests.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 17:08:39 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Christoph Egger <christoph@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
+	   Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper-compat (= 13),
                texinfo,
                sbcl,
